Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeAddressesResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeAddressesResult

    public class DescribeAddressesResult

extends Object

The result of describing an account's available Elastic IPs.

Constructor Summary
`DescribeAddressesResult()`

Method Summary
`List<Address>` | `getAddresses()` The list of Elastic IPs.
`void` | `setAddresses(Collection<Address> addresses)` The list of Elastic IPs.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeAddressesResult` | `withAddresses(Address... addresses)` The list of Elastic IPs.
`DescribeAddressesResult` | `withAddresses(Collection<Address> addresses)` The list of Elastic IPs.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeAddressesResult

    public DescribeAddressesResult()

Method Detail

### getAddresses

    public List<Address> getAddresses()

  The list of Elastic IPs.

  Returns:
    The list of Elastic IPs.

### setAddresses

    public void setAddresses(Collection<Address> addresses)

  The list of Elastic IPs.

  Parameters:
    `addresses` - The list of Elastic IPs.

### withAddresses

    public DescribeAddressesResult withAddresses(Address... addresses)

  The list of Elastic IPs.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `addresses` - The list of Elastic IPs.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withAddresses

    public DescribeAddressesResult withAddresses(Collection<Address> addresses)

  The list of Elastic IPs.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `addresses` - The list of Elastic IPs.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.